
import com.imsl.math.*;

public class BsInterpolateEx1 {

    public static void main(String args[]) {
        int n = 11;
        double x[] = new double[n];
        double y[] = new double[n];

        double h = 2. * Math.PI / 15. / 10.;
        for (int k = 0; k < n; k++) {
            x[k] = h * (double) (k);
            y[k] = Math.sin(15.0 * x[k]);
        }

        BsInterpolate bs = new BsInterpolate(x, y);
        double bsv = bs.value(0.23);
        System.out.println("The computed B-spline value at point .23 is "
                + bsv);
    }
}
